using Elwig.Models;

namespace Elwig.Helpers {
	public class ClientParameters {

		public string NameToken;
		public string NameShort;
		public string NameShortened;
		public string Name;
		public string NameSuffix;
		public string NameFull => $"{Name} {NameSuffix}";

		public PostalDest PostalDest {
			set {
				Plz = value.AtPlz.Plz;
				Ort = value.AtPlz.Ort.Name;
			}
		}
		public int Plz { get; private set; }
		public string Ort { get; private set; }
		public string Address;
		public string Sender1 => $"{NameShort} | {Address} | {Plz} {Ort}";
		public string Sender2;

		public string? Iban;
		public string? Bic;
		public string? UstId;
		public string? LfbisNr;

		public string? PhoneNr;
		public string? FaxNr;
		public string? EmailAddress;
		public string? Website;

		public ClientParameters() {
			NameToken = "WGM";
			NameShort = "WG Matzen";
			NameShortened = "Winzergenossenschaft f. Matzen u. Umgebung";
			Name = "Winzergenossenschaft für Matzen und Umgebung";
			NameSuffix = "reg. Gen.m.b.H.";
			Plz = 2243;
			Ort = "Matzen";
			Address = "Schloßstraße 6";
			Sender2 = "E Österreichische Post AG Eco Brief";
		}
	}
}
